Main Page Class Hierarchy Data Structures File List Data Fields Globals

# CPVCmnInterfaceCmdMessage Class Reference

`#include <pv_interface_cmd_message.h>`

## Public Methods
| CPVCmnInterfaceCmdMessage (int aType, OsclAny *aContextData)
| CPVCmnInterfaceCmdMessage ()
virtual | ~CPVCmnInterfaceCmdMessage ()
PVCommandId | GetCommandId ()
int | GetType ()
OsclAny * | GetContextData ()
int | compare (CPVCmnInterfaceCmdMessage *a, CPVCmnInterfaceCmdMessage *b) const
int32 | GetPriority () const
void | SetId (PVCommandId aId)
## Protected Attributes
PVCommandId | iId
int | iType
int32 | iPriority
OsclAny * | iContextData
## Friends
class | PVInterfaceProxy
int32 | operator< (const CPVCmnInterfaceCmdMessage &a, const CPVCmnInterfaceCmdMessage &b)

## Detailed Description

CPVInterfaceCmdMessage Class

CPVInterfaceCmdMessage is the interface to the pv2way SDK, which allows initialization, control, and termination of a two-way terminal. The application is expected to contain and maintain a pointer to the CPV2WayInterface instance at all times that a call is active. The CPV2WayFactory factory class is to be used to create and delete instances of this class

## Constructor & Destructor Documentation

CPVCmnInterfaceCmdMessage::CPVCmnInterfaceCmdMessage | ( | int | aType,
|  | OsclAny * | aContextData
| ) | `[inline]`

CPVCmnInterfaceCmdMessage::CPVCmnInterfaceCmdMessage | ( |  | ) | `[inline]`

virtual CPVCmnInterfaceCmdMessage::~CPVCmnInterfaceCmdMessage | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

int CPVCmnInterfaceCmdMessage::compare | ( | CPVCmnInterfaceCmdMessage * | a,
|  | CPVCmnInterfaceCmdMessage * | b
| ) | const`[inline]`

| The algorithm used in OsclPriorityQueue needs a compare function that returns true when A's priority is less than B's Returns: true if A's priority is less than B's, else false

PVCommandId CPVCmnInterfaceCmdMessage::GetCommandId | ( |  | ) | `[inline]`

OsclAny* CPVCmnInterfaceCmdMessage::GetContextData | ( |  | ) | `[inline]`

int32 CPVCmnInterfaceCmdMessage::GetPriority | ( |  | ) | const`[inline]`

int CPVCmnInterfaceCmdMessage::GetType | ( |  | ) | `[inline]`

void CPVCmnInterfaceCmdMessage::SetId | ( | PVCommandId | aId | ) | `[inline]`

## Friends And Related Function Documentation

int32 operator< | ( | const CPVCmnInterfaceCmdMessage & | a,
|  | const CPVCmnInterfaceCmdMessage & | b
| ) | `[friend]`

friend class PVInterfaceProxy`[friend]`

## Field Documentation

OsclAny* CPVCmnInterfaceCmdMessage::iContextData`[protected]`

PVCommandId CPVCmnInterfaceCmdMessage::iId`[protected]`

int32 CPVCmnInterfaceCmdMessage::iPriority`[protected]`

int CPVCmnInterfaceCmdMessage::iType`[protected]`

The documentation for this class was generated from the following file:

- pv_interface_cmd_message.h